#ifndef SL_CPC_DRV_UART_SECONDARY_CONFIG_H
#define SL_CPC_DRV_UART_SECONDARY_CONFIG_H
{% for instance in cpc_instance_name %}
{% for periph in cpc_periph_type %}
#include "sl_cpc_drv_uart_{{ periph }}_{{ instance }}_config.h"

#define SL_CPC_DRV_PERIPH_IS_{{ periph | upper }}

#define {{ periph }}HwFlowControlNone_D         0
#define {{ periph }}HwFlowControlCtsAndRts_D    1

#define CAT(a,...) CAT_IMPL(a, __VA_ARGS__)
#define CAT_IMPL(a,...) a ## __VA_ARGS__

#define SL_CPC_DRV_UART_RX_QUEUE_SIZE                SL_CPC_DRV_UART_{{ instance | upper }}_RX_QUEUE_SIZE
#define SL_CPC_DRV_UART_TX_QUEUE_SIZE                SL_CPC_DRV_UART_{{ instance | upper }}_TX_QUEUE_SIZE
#define SL_CPC_DRV_UART_BAUDRATE                     SL_CPC_DRV_UART_{{ instance | upper }}_BAUDRATE

#if !defined(SL_CPC_DRV_UART_{{ instance | upper }}_FLOW_CONTROL_TYPE)
#define SL_CPC_DRV_UART_FLOW_CONTROL_TYPE {{ periph }}HwFlowControlNone_D
#else
#define FC_USER_VAL CAT(SL_CPC_DRV_UART_{{ instance | upper }}_FLOW_CONTROL_TYPE, _D)
#define SL_CPC_DRV_UART_FLOW_CONTROL_TYPE  FC_USER_VAL
#endif

#if ((SL_CPC_DRV_UART_FLOW_CONTROL_TYPE != {{ periph }}HwFlowControlNone_D) && (SL_CPC_DRV_UART_FLOW_CONTROL_TYPE != {{ periph }}HwFlowControlCtsAndRts_D))
#error Invalid Flow control value
#endif

#if !defined(SL_CPC_DRV_UART_{{ instance | upper }}_CTS_PORT)
#define SL_CPC_DRV_UART_CTS_PORT 0
#else
#define SL_CPC_DRV_UART_CTS_PORT SL_CPC_DRV_UART_{{ instance | upper }}_CTS_PORT
#endif

#if !defined(SL_CPC_DRV_UART_{{ instance | upper }}_CTS_PIN)
#define SL_CPC_DRV_UART_CTS_PIN 0
#else
#define SL_CPC_DRV_UART_CTS_PIN SL_CPC_DRV_UART_{{ instance | upper }}_CTS_PIN
#endif

#if !defined(SL_CPC_DRV_UART_{{ instance | upper }}_RTS_PORT)
#define SL_CPC_DRV_UART_RTS_PORT 0
#else
#define SL_CPC_DRV_UART_RTS_PORT SL_CPC_DRV_UART_{{ instance | upper }}_RTS_PORT
#endif

#if !defined(SL_CPC_DRV_UART_{{ instance | upper }}_RTS_PIN)
#define SL_CPC_DRV_UART_RTS_PIN 0
#else
#define SL_CPC_DRV_UART_RTS_PIN SL_CPC_DRV_UART_{{ instance | upper }}_RTS_PIN
#endif

#if !defined(SL_CPC_DRV_UART_{{ instance | upper }}_RESET_PORT)
#define SL_CPC_DRV_UART_RESET_PORT 0
#else
#define SL_CPC_DRV_UART_RESET_PORT SL_CPC_DRV_UART_{{ instance | upper }}_RESET_PORT
#endif

#if !defined(SL_CPC_DRV_UART_{{ instance | upper }}_RESET_PIN)
#define SL_CPC_DRV_UART_RESET_PIN 0
#else
#define SL_CPC_DRV_UART_RESET_PIN SL_CPC_DRV_UART_{{ instance | upper }}_RESET_PIN
#endif

#if !defined(SL_CPC_DRV_UART_{{ instance | upper }}_WAKE_PORT)
#define SL_CPC_DRV_UART_WAKE_PORT 0
#else
#define SL_CPC_DRV_UART_WAKE_PORT SL_CPC_DRV_UART_{{ instance | upper }}_WAKE_PORT
#endif

#if !defined(SL_CPC_DRV_UART_{{ instance | upper }}_WAKE_PIN)
#define SL_CPC_DRV_UART_WAKE_PIN 0
#else
#define SL_CPC_DRV_UART_WAKE_PIN SL_CPC_DRV_UART_{{ instance | upper }}_WAKE_PIN
#endif

#define SL_CPC_DRV_UART_PERIPHERAL                   SL_CPC_DRV_UART_{{ instance | upper }}_PERIPHERAL
#define SL_CPC_DRV_UART_PERIPHERAL_NO                SL_CPC_DRV_UART_{{ instance | upper }}_PERIPHERAL_NO

#define SL_CPC_DRV_UART_TX_PORT                      SL_CPC_DRV_UART_{{ instance | upper }}_TX_PORT
#define SL_CPC_DRV_UART_TX_PIN                       SL_CPC_DRV_UART_{{ instance | upper }}_TX_PIN

#define SL_CPC_DRV_UART_RX_PORT                      SL_CPC_DRV_UART_{{ instance | upper }}_RX_PORT
#define SL_CPC_DRV_UART_RX_PIN                       SL_CPC_DRV_UART_{{ instance | upper }}_RX_PIN
{% endfor %}
{% endfor %}
#endif
